.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
.TH STRPTIME "1" "October 2011" "dateutils 0.1.6-10-g52453890-dirty" "User Commands"
.SH NAME
strptime \- manual page for strptime 0.1.6-10-g52453890-dirty
.SH SYNOPSIS
.B strptime
[\fI-h|--help\fR] [\fI-V|--version\fR] [\fI-t|--time\fR] [\fI-q|--quiet\fR]
.SH DESCRIPTION
strptime 0.1.6\-10\-g52453890\-dirty
.IP
[\-fSTRING|\-\-format=STRING] [\-iSTRING|\-\-input\-format=STRING]
[\-e|\-\-backslash\-escapes] [\-S|\-\-sed\-mode] [FMTs]...
.PP
Parse input from stdin according to one of the given formats FMTs.
The format string specifiers are the same as for strptime(3).
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-t\fR, \fB\-\-time\fR
also display time in the output, default is to
display the date
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Suppress message about date and duration parser
errors.
.TP
\fB\-f\fR, \fB\-\-format\fR=\fISTRING\fR
Output format as passed to dt_strft(), this can
either be a spec string (similar to strftime()'s
FMT) or the name of a time spec.
.TP
\fB\-i\fR, \fB\-\-input\-format\fR=\fISTRING\fR
Input format as passed to dt_strpt(), can be used
multiple times.
Each TIME will be passed to the input format
parsers in the order they are given, if TIME can
be read successfully with a given input format
that value will be used.
.TP
\fB\-e\fR, \fB\-\-backslash\-escapes\fR
enable interpretation of backslash escapes in the
output and input format strings
.TP
\fB\-S\fR, \fB\-\-sed\-mode\fR
Copy parts from the input before and after the
date string.  Optional DELIM specifies where the
date input starts and defaults to the tab
character.
.SH "FORMAT SPECS"

Format specs in dateutils are similar to posix' strftime().

However, due to a broader range of supported calendars dateutils must
employ different rules.

Date specs:
  %a  The abbreviated weekday name
  %A  The full weekday name
  %b  The abbreviated month name
  %B  The full month name
  %c  The count of the weekday within the month (range 00 to 05)
  %C  The count of the weekday within the year (range 00 to 53)
  %d  The day of the month, 2 digits (range 00 to 31)
  %F  Equivalent to %Y-%m-%d (ymd's canonical format)
  %j  The day of the year, see ISO 8601 ordinal date
  %m  The month in the current calendar (range 00 to 19)
  %Q  The quarter of the year (range Q1 to Q4)
  %q  The number of the quarter (range 01 to 04)
  %w  The weekday as number (range 00 to 06, Sunday being 00)
  %y  The year without a century (range 00 to 99)
  %Y  The year including the century

  %Od The day as roman numerals
  %Om The month as roman numerals
  %Oy The two digit year as roman numerals
  %OY The year including the century as roman numerals

  %dth  The day of the month as an ordinal number, 1st, 2nd, 3rd, etc.
  %mth  The month of the year as an ordinal number, 1st, 2nd, 3rd, etc.

  %db The business day of the month (since last month's ultimo)
  %dB Number of business days until this month's ultimo

Time specs:
  %H  The hour of the day using a 24h clock, 2 digits (range 00 to 23)
  %I  The hour of the day using a 12h clock, 2 digits (range 01 to 12)
  %M  The minute (range 00 to 59)
  %N  The nanoseconds (range 000000000 to 999999999)
  %p  The string AM or PM, noon is PM and midnight is AM.
  %P  Like %p but in lowercase
  %S  The second (range 00 to 60, 60 is for leap seconds)
  %T  Equivalent to %H:%M:%S

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character

Modifiers:
  %O  Modifier to turn decimal numbers into Roman numerals
  th  Suffix.  Read and print ordinal numbers
  b   Treat date as business date
.SH BUGS
  Report them to: https://github.com/hroptatyr/dateutils/issues
.SH AUTHOR
  Written by Sebastian Freundt <freundt@fresse.org>
.SH "SEE ALSO"
The full documentation for
.B strptime
is maintained as a Texinfo manual.  If the
.B info
and
.B strptime
programs are properly installed at your site, the command
.IP
.B info (dateutils)strptime
.PP
should give you access to the complete manual.
